Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Beginner
84 Views

MKL install.sh requires libimf.so on GCC-only Linux

I am trying to install MKL on a GCC-only Linux (Slackware 14.2) and the ./install.sh complains

/home/hckiang/build/l_mpi_2018.0.128/./pset/32e/install: error while loading shared libraries: libimf.so: cannot open shared object file: No such file or directory

Googling found there is a thread describing exactly the same issue and workaround. However, the workaround there seems to assume the intel compilers are available. Here I don't have the intel compiler and I want to use MKL only with GCC/GNU Fortran.

I tried the 2017 versions and I see the same error.

Any idea?

0 Kudos
3 Replies
Highlighted
Employee
84 Views

Could you share the name of the MKL installer, please?

0 Kudos
Highlighted
Beginner
84 Views

It is l_mkl_2018.0.128/install.sh

0 Kudos
Highlighted
Beginner
84 Views

I see it is already fixed in version 2018.1.163. Thank you for your help!

0 Kudos